# `ngMultiple` (directive in module `ng` )

Improve this doc

## Description

The HTML specs do not require browsers to preserve the special attributes such as multiple. (The presence of them means true and absence means false) This prevents the angular compiler from correctly retrieving the binding expression. To solve this problem, we introduce the `ngMultiple` directive.

## Usage

as attribute

    <SELECT ng-multiple="{expression}">
       ...
    </SELECT>

### Parameters

- `ngMultiple – {expression} –`

  Angular expression that will be evaluated.

## Example

#### Source

#### Demo